Name:           juniversalchardet
Version:        2.4.0
Release:        %mkrel 5
Group:          Development/Java
Summary:        Java character encoding detection

# Choice of licenses offered in each source file
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            https://github.com/albfernandez/juniversalchardet
BuildArch:      noarch
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)

%{?javadoc_package}

%description
Juniversalchardet is a Java port of universalchardet, that is, the
encoding detector library of Mozilla.

%prep
%autosetup

# Fix newline encoding
sed -i.orig 's/\r//' README.md
touch -r README.md.orig README.md
rm README.md.orig

# Plugins not needed for an RPM build
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :spotbugs-maven-plugin

# Provide alias for the old name
%mvn_alias com.github.albfernandez:juniversalchardet com.googlecode.juniversalchardet:juniversalchardet

%build
%mvn_build -- -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles
%doc mozilla_repositories.txt README.md
%license LICENSE



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.4.0-5.mga10
+ Revision: 2232643
- Mageia 10 Mass Rebuild

* Mon Dec 23 2024 daviddavid <daviddavid> 2.4.0-4.mga10
+ Revision: 2129377
- Rebuilt for java-21-openjdk as system jdk

* Fri May 24 2024 ns80 <ns80> 2.4.0-3.mga10
+ Revision: 2067301
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 2.4.0-2.mga9
+ Revision: 1827698
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 daviddavid <daviddavid> 2.4.0-1.mga9
+ Revision: 1694343
- Version 2.4.0
- Spec file completely rewritten

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-11.mga8
+ Revision: 1491276
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.3-10.mga7
+ Revision: 1262995
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.3-8.mga6
+ Revision: 976417
- First rebuild of the java stack
- sync package juniversalchardet with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1.0.3-6.mga6
+ Revision: 952147
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 1.0.3-5.mga5
+ Revision: 811235
- use .mfiles generated during build
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-4.mga5
+ Revision: 746678
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 680901
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 dmorgan <dmorgan> 1.0.3-2.mga5
+ Revision: 636371
- imported package juniversalchardet


* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.3-2
- Use Requires: java-headless rebuild (#1067528)

* Mon Jan 21 2013 gil cattaneo <puntogil@libero.it> 1.0.3-1
- initial rpm
